summaryrefslogtreecommitdiffstats
path: root/contacts_validation/scripts/validate-schema.sh
diff options
context:
space:
mode:
Diffstat (limited to 'contacts_validation/scripts/validate-schema.sh')
-rwxr-xr-xcontacts_validation/scripts/validate-schema.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/contacts_validation/scripts/validate-schema.sh b/contacts_validation/scripts/validate-schema.sh
new file mode 100755
index 0000000..2aad40b
--- /dev/null
+++ b/contacts_validation/scripts/validate-schema.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -eux
+mkdir -p tmp
+cp ../contacts_schema.yaml tmp/myschema.yaml
+convert-yaml2json tmp/myschema.yaml
+#python3 -m jsonschema -i tmp/myschema.yaml.json draft4_strict.json
+python3 -m jsonschema -i tmp/myschema.yaml.json draft4.json
+rm -r tmp